import request from '@/utils/request'

// 查询短信购买订单列表
export function listCompanySmsOrder(query) {
  return request({
    url: '/company/companySmsOrder/list',
    method: 'get',
    params: query
  })
}

// 查询短信购买订单详细
export function getCompanySmsOrder(orderId) {
  return request({
    url: '/company/companySmsOrder/' + orderId,
    method: 'get'
  })
}

// 新增短信购买订单
export function addCompanySmsOrder(data) {
  return request({
    url: '/company/companySmsOrder',
    method: 'post',
    data: data
  })
}

// 修改短信购买订单
export function updateCompanySmsOrder(data) {
  return request({
    url: '/company/companySmsOrder',
    method: 'put',
    data: data
  })
}

// 删除短信购买订单
export function delCompanySmsOrder(orderId) {
  return request({
    url: '/company/companySmsOrder/' + orderId,
    method: 'delete'
  })
}

// 导出短信购买订单
export function exportCompanySmsOrder(query) {
  return request({
    url: '/company/companySmsOrder/export',
    method: 'get',
    params: query
  })
}